## asymptote 2.41

=== CMakeLists.txt ===
#
# Copyright (c) 1994 by Xerox Corporation.  All rights reserved.
# Copyright (c) 1996 by Silicon Graphics.  All rights reserved.
# Copyright (c) 1998 by Fergus Henderson.  All rights reserved.
# Copyright (c) 2000-2010 by Hewlett-Packard Company.  All rights reserved.
##
# THIS MATERIAL IS PROVIDED AS IS, WITH ABSOLUTELY NO WARRANTY EXPRESSED
# OR IMPLIED.  ANY USE IS AT YOUR OWN RISK.
##
# Permission is hereby granted to use or copy this program
# for any purpose,  provided the above notices are retained on all copies.
# Permission to modify the code and to distribute modified code is granted,
# provided the above notices are retained, and a notice that the code was
# modified is included with the above copyright notice.
##

#
#  get cmake and run:
#    cmake -G "Visual Studio 8 2005"
#  in the same dir as this file
#  this will generate gc.sln
#

SET(CMAKE_LEGACY_CYGWIN_WIN32 0) # Remove when CMake >= 2.8.4 is required

PROJECT(gc)

CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

ADD_DEFINITIONS("-D_CRT_SECURE_NO_DEPRECATE
                 -DALL_INTERIOR_POINTERS")

IF(APPLE)
    IF("${CMAKE_OSX_ARCHITECTURES}" STREQUAL "")
        SET(CMAKE_OSX_ARCHITECTURES "ppc;i386;x86_64" CACHE STRING "Build architectures for Mac OS X" FORCE)
    ENDIF()
ENDIF(APPLE)

#LIBATOMIC #TODO
#ADD_LIBRARY(atomic_ops STATIC )
#SET_TARGET_PROPERTIES(atomic_ops PROPERTIES COMPILE_FLAGS -DNO_DEBUGGING)


#LIBGC

INCLUDE_DIRECTORIES(include)
INCLUDE_DIRECTORIES(libatomic_ops/src)

SET(SRC alloc.c reclaim.c allchblk.c misc.c mach_dep.c os_dep.c
        mark_rts.c headers.c mark.c obj_map.c blacklst.c finalize.c
        new_hblk.c dbg_mlc.c malloc.c stubborn.c dyn_load.c
        typd_mlc.c ptr_chck.c gc_cpp.cc mallocx.c checksums.c
        thread_local_alloc.c)
SET(LIBS)
OPTION(enable_threads "TODO" NO)
IF(enable_threads)
        FIND_PACKAGE(Threads REQUIRED)
        MESSAGE("Thread Model: ${CMAKE_THREAD_LIBS_INIT}" )
        INCLUDE_DIRECTORIES(${Threads_INCLUDE_DIR})
        SET(LIBS ${LIBS} ${Threads_LIBRARIES})
ENDIF(enable_threads)

OPTION(enable_parallel_mark "Parallelize marking and free list construction" NO)

#IF(Threads_FOUND)
#       ADD_DEFINITIONS("")
#ELSE
#       MESSAGE("Parallel mark requires enable_threads ON" )
#ENDIF(Threads_FOUND)

IF(enable_parallel_mark)
ENDIF(enable_parallel_mark)

OPTION(enable_cplusplus "install C++ support" NO)

SET(_HOST ${CMAKE_HOST_SYSTEM_PROCESSOR}--${CMAKE_SYSTEM}) #FIXME missing the vendor field.Use lowercase

STRING(TOLOWER ${_HOST} HOST)
MESSAGE("HOST = ${HOST}")

#Thread Detection. Relying on cmake for lib an includes.
#TODO check cmake detection
IF(CMAKE_USE_PTHREADS_INIT)
        SET(SRC ${SRC} pthread_start.c pthread_support.c pthread_stop_world.c)
        IF( HOST MATCHES x86-.*-linux.*|ia64-.*-linux.*|i586-.*-linux.*|i686-.*-linux.*|x86_64-.*-linux.*|alpha-.*-linux.*|sparc.*-.*-linux.*)
                ADD_DEFINITIONS("-DGC_LINUX_THREADS")
                ADD_DEFINITIONS("-D_REENTRANT")
                IF (${enable_parallel_mark})
                        ADD_DEFINITIONS("-DPARALLEL_MARK")
                ENDIF()
                ADD_DEFINITIONS("-DTHREAD_LOCAL_ALLOC")
                MESSAGE("Explicit GC_INIT() calls may be required.")
        ENDIF()
        IF ( HOST MATCHES .*-.*-linux.*)
                ADD_DEFINITIONS("-DGC_LINUX_THREADS")
                ADD_DEFINITIONS("-D_REENTRANT")
        ENDIF()
        IF ( HOST MATCHES .*-.*-aix.*)
                ADD_DEFINITIONS("-DGC_AIX_THREADS")
                ADD_DEFINITIONS("-D_REENTRANT")
        ENDIF()
        IF ( HOST MATCHES .*-.*-hpux11.*)
                MESSAGE("Only HP/UX 11 POSIX threads are supported.")
                ADD_DEFINITIONS("-DGC_HPUX_THREADS")
                ADD_DEFINITIONS("-D_POSIX_C_SOURCE=199506L") #TODO test -DVAR=value. Alternative is COMPILE_DEFINITIONS property
                IF (${enable_parallel_mark})
                        ADD_DEFINITIONS("-DPARALLEL_MARK")
                ENDIF()
                MESSAGE("Explicit GC_INIT() calls may be required.")
                ADD_DEFINITIONS("-D_REENTRANT") #TODO
        ENDIF()
        IF ( HOST MATCHES .*-.*-hpux10.*)
                MESSAGE("Only HP/UX 11 POSIX threads are supported.")
        ENDIF()
        IF ( HOST MATCHES .*-.*-openbsd.*)
                ADD_DEFINITIONS("-DGC_OPENBSD_THREADS")
        ENDIF()
        IF ( HOST MATCHES .*-.*-freebsd.*)
                MESSAGE("FreeBSD does not yet fully support threads with Boehm GC.")
                ADD_DEFINITIONS("-DGC_FREEBSD_THREADS")
        ENDIF()
        IF ( HOST MATCHES .*-.*-kfreebsd.*-gnu)
                ADD_DEFINITIONS("-DGC_FREEBSD_THREADS")
                ADD_DEFINITIONS("-D_REENTRANT")
                IF (${enable_parallel_mark})
                        ADD_DEFINITIONS("-DPARALLEL_MARK")
                ENDIF()
                ADD_DEFINITIONS("-DTHREAD_LOCAL_ALLOC")
                ADD_DEFINITIONS("-DUSE_COMPILER_TLS")
        ENDIF()
        IF ( HOST MATCHES .*-.*-gnu.*)
                ADD_DEFINITIONS("-DGC_GNU_THREADS")
                ADD_DEFINITIONS("-D_REENTRANT")
                ADD_DEFINITIONS("-DTHREAD_LOCAL_ALLOC")
        ENDIF()
        IF ( HOST MATCHES .*-.*-netbsd.*)
                MESSAGE("Only on NetBSD 2.0 or later.")
                ADD_DEFINITIONS("-DGC_NETBSD_THREADS")
                ADD_DEFINITIONS("-D_REENTRANT")
                ADD_DEFINITIONS("-D_PTHREADS")
        ENDIF()
        IF ( HOST MATCHES .*-.*-solaris.*)
                ADD_DEFINITIONS("-DGC_SOLARIS_THREADS")
                ADD_DEFINITIONS("-DTHREAD_LOCAL_ALLOC")
#TODO
#       if test "$GCC" != yes; then
#          CFLAGS="$CFLAGS -O"
#          need_atomic_ops_asm=true
#        fi

        ENDIF()
        IF ( HOST MATCHES .*-.*-irix.*)
                ADD_DEFINITIONS("-DGC_IRIX_THREADS")
        ENDIF()
        IF ( HOST MATCHES .*-.*-cygwin.*)
                ADD_DEFINITIONS("-DGC_THREADS")
                IF (${enable_parallel_mark})
                        ADD_DEFINITIONS("-DPARALLEL_MARK")
                ENDIF()
                ADD_DEFINITIONS("-DTHREAD_LOCAL_ALLOC")

#TODO
#       win32_threads=true
        ENDIF()
        IF ( HOST MATCHES .*-.*-darwin.*)
                ADD_DEFINITIONS("-DGC_DARWIN_THREADS")
                ADD_DEFINITIONS("-DTHREAD_LOCAL_ALLOC")
                MESSAGE("Explicit GC_INIT() calls may be required.")
                SET(SRC ${SRC} darwin_stop_world.c)
                IF (${enable_parallel_mark})
                       ADD_DEFINITIONS("-DPARALLEL_MARK")
                ENDIF()
                #TODO
                #darwin_threads=true
        ENDIF()
        IF ( HOST MATCHES .*-.*-osf*)
                ADD_DEFINITIONS("-DGC_OSF1_THREADS")
                IF (${enable_parallel_mark})
                        ADD_DEFINITIONS("-DPARALLEL_MARK")
                        ADD_DEFINITIONS("-DTHREAD_LOCAL_ALLOC")
                        MESSAGE("Explicit GC_INIT() calls may be required.")
                        # May want to enable it in other cases, too.
                        # Measurements haven't yet been done.
                ENDIF()
        ENDIF()
        IF ( HOST MATCHES .*-.*-linux.*)
                ADD_DEFINITIONS("-DGC_LINUX_THREADS")
                ADD_DEFINITIONS("-D_REENTRANT")
        ENDIF()
ENDIF(CMAKE_USE_PTHREADS_INIT)

IF(CMAKE_USE_WIN32_THREADS_INIT)
        ADD_DEFINITIONS("-DGC_THREADS")
        #win32_threads=true   TODO
        IF (${enable_parallel_mark})
                ADD_DEFINITIONS("-DPARALLEL_MARK")
                ADD_DEFINITIONS("-DTHREAD_LOCAL_ALLOC")
        ENDIF()
        ADD_DEFINITIONS("-DEMPTY_GETENV_RESULTS") #TODO test
        SET(SRC ${SRC} win32_threads.c)
ENDIF(CMAKE_USE_WIN32_THREADS_INIT)

OPTION(enable_gcj_support "Support for gcj" NO)
IF(enable_gcj_support)
        ADD_DEFINITIONS("-DGC_GCJ_SUPPORT")
        ADD_DEFINITIONS("-DGC_ENABLE_SUSPEND_THREAD")
ENDIF(enable_gcj_support)


ADD_LIBRARY(          gc-lib   STATIC      ${SRC})
SET_TARGET_PROPERTIES(gc-lib   PROPERTIES
                      COMPILE_DEFINITIONS GC_NOT_DLL)
#TODO TARGET_LINK_LIBRARIES(...  ...  ${LIBS})

ADD_LIBRARY(          gcmt-lib STATIC      ${SRC})
SET_TARGET_PROPERTIES(gcmt-lib PROPERTIES
                      COMPILE_DEFINITIONS GC_NOT_DLL)

ADD_LIBRARY(          gcmt-dll  SHARED     ${SRC})

IF(WIN32)
  ADD_EXECUTABLE(cord cord/cordbscs.c cord/cordxtra.c
                 cord/tests/de.c cord/tests/de_win.c)
  SET_TARGET_PROPERTIES(cord PROPERTIES WIN32_EXECUTABLE TRUE)
  SET_TARGET_PROPERTIES(cord    PROPERTIES
                      COMPILE_DEFINITIONS GC_NOT_DLL)
  TARGET_LINK_LIBRARIES(cord gc-lib)
  TARGET_LINK_LIBRARIES(cord gdi32)
ENDIF(WIN32)

ADD_SUBDIRECTORY(tests)

=== doc/FAQ/Makefile ===
BFNNCONV = bfnnconv.pl m-ascii.pl m-html.pl m-info.pl m-lout.pl m-post.pl

all: faq

faq: $(BFNNCONV) asy-faq.bfnn
	mkdir -p asy-faq.html
	perl bfnnconv.pl asy-faq.bfnn
	perl bfnnconv.pl asy-faq.bfnn

clean: FORCE
	-rm -f *~ core a.out *.lout *.ps *.info *.ascii *.xrefdb *.post
	-rm -rf *.html

install-all: install

install: faq install-prebuilt
	${INSTALL} -d -m 755 $(docdir) $(docdir)/asy-faq.html
	${INSTALL} -p -m 644 asy-faq.ascii $(docdir)
	${INSTALL} -p -m 644 asy-faq.html/* $(docdir)/asy-faq.html

install-prebuilt:
	${INSTALL} -d -m 755 $(infodir)
	${INSTALL} -p -m 644 asy-faq.info $(infodir)
	-if test -z "$(DESTDIR)"; then \
		install-info --infodir=$(infodir) asy-faq.info; \
	fi

install-info: faq install-prebuilt

uninstall: uninstall-all

uninstall-all:
	-cd $(docdir)/asy-faq.html && rm -rf *.html
	-cd $(docdir) && rmdir asy-faq.html && rm asy-faq.ascii 
	-install-info --remove --infodir=$(infodir) asy-faq.info
	-rm -f $(infodir)/asy-faq.info

distclean: FORCE clean

FORCE:

=== debian/changelog ===
asymptote (2.41-4) unstable; urgency=medium

  [ Nicolas Boulenguez ]
  * Use HTTPS instead of HTTP for Vcs-Browser URL.
  * Use dpkg-dev snippet to parse changelog instead of hand-written recipes.
  * In copyright file, move default pattern to top.
  * Use HTTPS instead of HTTP for copyright format URL.
  * Fix typo detected by lintian (hexidecimal).
  * Pass build flags to upstream build system.
  * Switch to debhelper 10.
  * Avoid unneeded library dependencies.
  * Enable all hardening build flags.
  * Provide ASYMPTOTE_HOME, avoiding lots of warning when HOME is unset.
  * Fix more incompatibilities with python3.
  * Use dh-python helper.
  * Allow -doc package to satisfy Multi-Arch foreign dependencies.
  * Remove Replaces dependency between main and -doc package.
  * Switch to python3 interpreter.
  (Closes: #880422) (Big thanks to Nicolas for his excellent work!)

  [ Norbert Preining ]
  * make xasy relative symlinks, otherwise dh_python3 breaks

 -- Norbert Preining <preining@debian.org>  Sun, 05 Nov 2017 21:32:47 +0900

asymptote (2.41-3) unstable; urgency=medium

  * add tl-plain-generic to dependencies (Closes: #861883)
  * bump standards version, no changes necessary

 -- Norbert Preining <preining@debian.org>  Tue, 31 Oct 2017 08:55:45 +0900

asymptote (2.41-2) unstable; urgency=medium

  * upload to unstable

 -- Norbert Preining <preining@debian.org>  Mon, 19 Jun 2017 16:29:22 +0900

asymptote (2.41-1) experimental; urgency=medium

  * New upstream version 2.41

 -- Norbert Preining <preining@debian.org>  Tue, 13 Jun 2017 09:46:42 +0900

=== debian/control ===
Source: asymptote
Maintainer: Debian TeX Task Force <debian-tex-maint@lists.debian.org>
Uploaders: Hubert Chathi <uhoreg@debian.org>,
           Ruben Molina <rmolina@udea.edu.co>,
           Picca Frédéric-Emmanuel <picca@debian.org>,
           Norbert Preining <preining@debian.org>
Section: tex
Priority: optional
Build-Depends: bison,
               debhelper (>= 10),
               dh-python,
               dpkg-dev (>= 1.16.1),
               flex,
               freeglut3-dev,
               libosmesa6-dev,
               ghostscript,
               imagemagick,
               libfftw3-dev,
               libgc-dev,
               libgsl-dev,
               libncurses5-dev,
               libreadline-dev,
               libsigsegv-dev,
               python3,
               tex-common,
               texinfo,
               texlive-latex-base,
               texlive-latex-extra,
               texlive-latex-recommended,
               texlive-fonts-recommended,
               texlive-pstricks,
               zlib1g-dev
Standards-Version: 4.1.1
Homepage: http://asymptote.sourceforge.net/
Vcs-Git: git://anonscm.debian.org/debian-tex/asymptote.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=debian-tex/asymptote.git

Package: asymptote
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         ghostscript,
         imagemagick,
         install-info,
         python3-pil,
         python3-pil.imagetk,
         texlive-binaries,
         texlive-latex-base,
         texlive-pstricks,
         texlive-plain-generic,
         xdg-utils
Recommends: asymptote-doc
Suggests: gv,
          evince-gtk | pdf-viewer
Description: script-based vector graphics language inspired by MetaPost
 Asymptote is a powerful script-based vector graphics language for technical
 drawings, inspired by MetaPost but with an improved C++-like syntax.
 Asymptote provides for figures the same high-quality level of typesetting that
 LaTeX does for scientific text.

Package: asymptote-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Recommends: asymptote,
            info-browser | pdf-viewer | www-browser
Description: documentation and examples for asymptote
 Asymptote is a powerful descriptive vector graphics language that
 provides a natural coordinate-based framework for technical drawing.
 This package provides documentation and examples.

=== debian/rules ===
#!/usr/bin/make -f

# Avoid unneeded library dependencies reported by dpkg-shlibdeps.
DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
DEB_BUILD_MAINT_OPTIONS := hardening=+all
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --with python3

override_dh_auto_configure:
	dh_auto_configure -- --enable-gc=system	\
		--with-latex=/usr/share/texmf/tex/latex		\
		--with-context=/usr/share/texmf/tex/context/third \
		$(foreach v,CFLAGS CPPFLAGS CXXFLAGS LDFLAGS,'$(v)=$($(v))')

# Avoid a warning every time asy is run if HOME is unset.
export ASYMPTOTE_HOME := $(CURDIR)/debian/tmp_asymptote_home
override_dh_auto_configure: | $(ASYMPTOTE_HOME)
$(ASYMPTOTE_HOME):
	mkdir $(ASYMPTOTE_HOME)

override_dh_auto_build:
	make asy man
	make all html
	# fix location of images in info document
	cat doc/png/asymptote.info | sed -e 's!image src="\([^"]*\)"!image src="/usr/share/doc/asymptote-doc/html/\1"!g' > doc/png/asymptote.info.fixed
	mv doc/png/asymptote.info.fixed doc/png/asymptote.info

override_dh_auto_install:
	make install-asy DESTDIR=$(CURDIR)/debian/tmp
	# fix xasy absolute link
	ln -sf ../share/asymptote/GUI/xasy.py debian/tmp/usr/bin/xasy
	dh_installtex -pasymptote

override_dh_auto_test:
	: do nothing here, otherwise make tries to compile prc/test.cc

override_dh_compress:
	dh_compress -X.pdf

override_dh_clean:
	dh_clean
	rm --force doc/latexusage.pdf doc/latexusage.dvi doc/TeXShopAndAsymptote.dvi doc/CAD.dvi
	rm --force doc/*.aux doc/*.cp doc/*.cps doc/*.idx doc/*.ins doc/*.log doc/*.toc doc/asymptote.fn doc/asymptote.ky doc/asymptote.pg doc/asymptote.tp doc/asymptote.vr asy.list
	rm --force doc/asyRefCard.pdf doc/asyRefCard.dvi
	rm -fr $(ASYMPTOTE_HOME)

#
# download current release based on the changelog entry from sf
# and remove the generated files similarily to the clean target
# code from the calibre packaging
get-orig-source:
	set -e; \
	mkdir -p debian/orig; cd debian/orig; \
	wget -O - https://downloads.sourceforge.net/project/$(DEB_SOURCE)/$(DEB_VERSION_UPSTREAM)/$(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM).src.tgz | gzip -cd | tar x; \
	D=`pwd`; \
	cd $(DEB_SOURCE)*; \
	rm --force doc/latexusage.pdf doc/latexusage.dvi doc/TeXShopAndAsymptote.dvi doc/CAD.dvi; \
	rm --force doc/*.aux doc/*.cp doc/*.cps doc/*.idx doc/*.ins doc/*.log doc/*.toc asy.list; \
	rm --force doc/asyRefCard.pdf doc/asyRefCard.dvi;\
	cd ..;\
	tar c . | gzip -9 > ../../../$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.gz; \
	cd ../..; rm -r debian/orig

## asymptote 2.44

=== debian/changelog ===
asymptote (2.44-1) unstable; urgency=medium

  * New upstream version 2.44
  * update patches

 -- Norbert Preining <preining@debian.org>  Thu, 12 Apr 2018 21:55:20 +0900

asymptote (2.43-1) unstable; urgency=medium

  * New upstream version 2.43
  * update patches

 -- Norbert Preining <preining@debian.org>  Fri, 06 Apr 2018 14:17:59 +0900

asymptote (2.42-1) unstable; urgency=medium

  * New upstream version 2.42
    - improved diagnostics (Closes: #890294)
  * update/cleanup patches
  * bump standards version, no changes necessary

 -- Norbert Preining <preining@debian.org>  Wed, 04 Apr 2018 10:02:23 +0900

=== debian/control ===
--- 
+++ 
@@ -30,10 +30,10 @@
                texlive-fonts-recommended,
                texlive-pstricks,
                zlib1g-dev
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Homepage: http://asymptote.sourceforge.net/
-Vcs-Git: git://anonscm.debian.org/debian-tex/asymptote.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=debian-tex/asymptote.git
+Vcs-Git: https://salsa.debian.org/tex-team/asymptote.git
+Vcs-Browser: https://salsa.debian.org/tex-team/asymptote
 
 Package: asymptote
 Architecture: any

## asymptote 2.47

=== debian/changelog ===
asymptote (2.47-2) unstable; urgency=medium

  [ Hilmar Preuße ]
  * Upstream patch d98f3793c4df96dcae238312aac889502912872d.diff
    to implement workaround for Ghostscript transparency extension
    -dSAFER bug (Closes: #912627).

  [ Norbert Preining ]
  * update my email and VCS fields

 -- Norbert Preining <norbert@preining.info>  Mon, 28 Jan 2019 13:58:38 +0900

asymptote (2.47-1) unstable; urgency=medium

  * New upstream version 2.47
  * update patches
  * add b-d on libtimedate-perl (Closes: #912090)
  * bump standards version, no changes necessary
  * install examples and necessary xasy files

 -- Norbert Preining <preining@debian.org>  Mon, 05 Nov 2018 11:41:02 +0900

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Hubert Chathi <uhoreg@debian.org>,
            Ruben Molina <rmolina@udea.edu.co>,
            Picca Frédéric-Emmanuel <picca@debian.org>,
-           Norbert Preining <preining@debian.org>
+           Norbert Preining <norbert@preining.info>
 Section: tex
 Priority: optional
 Build-Depends: bison,
@@ -21,6 +21,7 @@
                libncurses5-dev,
                libreadline-dev,
                libsigsegv-dev,
+               libtimedate-perl,
                python3,
                tex-common,
                texinfo,
@@ -30,10 +31,10 @@
                texlive-fonts-recommended,
                texlive-pstricks,
                zlib1g-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Homepage: http://asymptote.sourceforge.net/
-Vcs-Git: https://salsa.debian.org/tex-team/asymptote.git
-Vcs-Browser: https://salsa.debian.org/tex-team/asymptote
+Vcs-Git: https://github.com/debian-tex/asymptote.git
+Vcs-Browser: https://github.com/debian-tex/asymptote
 
 Package: asymptote
 Architecture: any
@@ -43,8 +44,11 @@
          ghostscript,
          imagemagick,
          install-info,
-         python3-pil,
-         python3-pil.imagetk,
+         librsvg2-bin,
+         python3-cson,
+         python3-numpy,
+         python3-pyqt5,
+         python3-pyqt5.qtsvg,
          texlive-binaries,
          texlive-latex-base,
          texlive-pstricks,

=== debian/rules ===
--- 
+++ 
@@ -32,6 +32,8 @@
 	make install-asy DESTDIR=$(CURDIR)/debian/tmp
 	# fix xasy absolute link
 	ln -sf ../share/asymptote/GUI/xasy.py debian/tmp/usr/bin/xasy
+	# fix permissions
+	chmod 0644 debian/tmp/usr/share/asymptote/GUI/icons_rc.py
 	dh_installtex -pasymptote
 
 override_dh_auto_test:
@@ -39,6 +41,9 @@
 
 override_dh_compress:
 	dh_compress -X.pdf
+
+override_dh_missing:
+	dh_missing --fail-missing
 
 override_dh_clean:
 	dh_clean

## asymptote 2.49

=== debian/changelog ===
asymptote (2.49-2) unstable; urgency=medium

  * Upload to unstable

 -- Norbert Preining <norbert@preining.info>  Wed, 10 Jul 2019 17:33:16 +0900

asymptote (2.49-1) experimental; urgency=medium

  * New upstream version 2.49
  * update patches

 -- Norbert Preining <norbert@preining.info>  Tue, 23 Apr 2019 20:00:50 +0900

asymptote (2.48-1) experimental; urgency=medium

  * New upstream release, drop patch
    d98f3793c4df96dcae238312aac889502912872d.diff
  * Add libglm-dev, libglew-dev to B-D, they are needed for building.
  * Add lintian override "asymptote source: source-is-missing" for js files.

 -- Hilmar Preuße <hille42@web.de>  Tue, 02 Apr 2019 11:05:35 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Uploaders: Hubert Chathi <uhoreg@debian.org>,
            Ruben Molina <rmolina@udea.edu.co>,
            Picca Frédéric-Emmanuel <picca@debian.org>,
-           Norbert Preining <norbert@preining.info>
+           Norbert Preining <norbert@preining.info>,
+           Hilmar Preuße <hille42@web.de>
 Section: tex
 Priority: optional
 Build-Depends: bison,
@@ -30,7 +31,9 @@
                texlive-latex-recommended,
                texlive-fonts-recommended,
                texlive-pstricks,
-               zlib1g-dev
+               zlib1g-dev,
+               libglm-dev,
+               libglew-dev
 Standards-Version: 4.2.1
 Homepage: http://asymptote.sourceforge.net/
 Vcs-Git: https://github.com/debian-tex/asymptote.git

## asymptote 2.51

=== debian/changelog ===
asymptote (2.51-1) unstable; urgency=medium

  * New upstream version.
  * Add BD: pyqt5-dev-tools to convert Qt Resource File (.qrc)
    into Python modules.
  * dyn_link_GLEW.patch: ...we still link dynamically w/ libglew2.1.
  * Change BD: libncurses5-dev -> libncurses-dev.

 -- Hilmar Preusse <hille42@web.de>  Thu, 08 Aug 2019 13:15:18 +0200

asymptote (2.49-3) unstable; urgency=medium

  * Split graphical UI into a new package to provide small asymptote
    CLI package (Closes: #923369).
  * Bump Standards Version to 4.4.0, no changes needed.

 -- Hilmar Preusse <hille42@web.de>  Sun, 28 Jul 2019 17:00:00 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Ruben Molina <rmolina@udea.edu.co>,
            Picca Frédéric-Emmanuel <picca@debian.org>,
            Norbert Preining <norbert@preining.info>,
-           Hilmar Preuße <hille42@web.de>
+           Hilmar Preusse <hille42@web.de>
 Section: tex
 Priority: optional
 Build-Depends: bison,
@@ -19,7 +19,7 @@
                libfftw3-dev,
                libgc-dev,
                libgsl-dev,
-               libncurses5-dev,
+               libncurses-dev,
                libreadline-dev,
                libsigsegv-dev,
                libtimedate-perl,
@@ -33,8 +33,9 @@
                texlive-pstricks,
                zlib1g-dev,
                libglm-dev,
-               libglew-dev
-Standards-Version: 4.2.1
+               libglew-dev,
+               pyqt5-dev-tools
+Standards-Version: 4.4.0
 Homepage: http://asymptote.sourceforge.net/
 Vcs-Git: https://github.com/debian-tex/asymptote.git
 Vcs-Browser: https://github.com/debian-tex/asymptote
@@ -47,24 +48,43 @@
          ghostscript,
          imagemagick,
          install-info,
-         librsvg2-bin,
-         python3-cson,
-         python3-numpy,
-         python3-pyqt5,
-         python3-pyqt5.qtsvg,
          texlive-binaries,
          texlive-latex-base,
          texlive-pstricks,
          texlive-plain-generic,
          xdg-utils
+Suggests: asymptote-x11
 Recommends: asymptote-doc
-Suggests: gv,
-          evince-gtk | pdf-viewer
 Description: script-based vector graphics language inspired by MetaPost
  Asymptote is a powerful script-based vector graphics language for technical
  drawings, inspired by MetaPost but with an improved C++-like syntax.
  Asymptote provides for figures the same high-quality level of typesetting that
  LaTeX does for scientific text.
+
+Package: asymptote-x11
+Architecture: any
+Depends: ${misc:Depends},
+         ${python3:Depends},
+         asymptote (= ${binary:Version}),
+         librsvg2-bin,
+         python3-cson,
+         python3-numpy,
+         python3-pyqt5,
+         python3-pyqt5.qtsvg
+Suggests: gv,
+          evince-gtk | pdf-viewer
+Conflicts: asymptote (<= 2.49-2)
+Replaces: asymptote (<= 2.49-2)
+Description: script-based vector graphics language inspired by MetaPost
+ Asymptote is a powerful script-based vector graphics language for technical
+ drawings, inspired by MetaPost but with an improved C++-like syntax.
+ Asymptote provides for figures the same high-quality level of typesetting that
+ LaTeX does for scientific text.
+ .
+ In the event that adjustments to the final figure are required, the
+ preliminary Graphical User Interface (GUI) xasy included with Asymptote allows
+ you to move graphical objects and draw new ones. The modified figure can then
+ be saved as a normal Asymptote file.
 
 Package: asymptote-doc
 Architecture: all

## asymptote 2.62

=== CMakeLists.txt ===
#
# Copyright (c) 1994 by Xerox Corporation.  All rights reserved.
# Copyright (c) 1996 by Silicon Graphics.  All rights reserved.
# Copyright (c) 1998 by Fergus Henderson.  All rights reserved.
# Copyright (c) 2000-2010 by Hewlett-Packard Company.  All rights reserved.
##
# THIS MATERIAL IS PROVIDED AS IS, WITH ABSOLUTELY NO WARRANTY EXPRESSED
# OR IMPLIED.  ANY USE IS AT YOUR OWN RISK.
##
# Permission is hereby granted to use or copy this program
# for any purpose,  provided the above notices are retained on all copies.
# Permission to modify the code and to distribute modified code is granted,
# provided the above notices are retained, and a notice that the code was
# modified is included with the above copyright notice.
##

#
#  get cmake and run:
#    cmake -G "Visual Studio 8 2005"
#  in the same dir as this file
#  this will generate gc.sln
#

SET(CMAKE_LEGACY_CYGWIN_WIN32 0) # Remove when CMake >= 2.8.4 is required

PROJECT(gc)

INCLUDE(CTest)

CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

ADD_DEFINITIONS("-D_CRT_SECURE_NO_DEPRECATE
                 -DALL_INTERIOR_POINTERS -DNO_EXECUTE_PERMISSION")

IF(APPLE)
    IF("${CMAKE_OSX_ARCHITECTURES}" STREQUAL "")
        SET(CMAKE_OSX_ARCHITECTURES "ppc;i386;x86_64" CACHE STRING "Build architectures for Mac OS X" FORCE)
    ENDIF()
ENDIF(APPLE)

#LIBATOMIC #TODO
#ADD_LIBRARY(atomic_ops STATIC )
#SET_TARGET_PROPERTIES(atomic_ops PROPERTIES COMPILE_FLAGS -DNO_DEBUGGING)


#LIBGC

INCLUDE_DIRECTORIES(include)
INCLUDE_DIRECTORIES(libatomic_ops/src)

SET(SRC alloc.c reclaim.c allchblk.c misc.c mach_dep.c os_dep.c
        mark_rts.c headers.c mark.c obj_map.c blacklst.c finalize.c
        new_hblk.c dbg_mlc.c malloc.c dyn_load.c typd_mlc.c ptr_chck.c
        mallocx.c)
SET(LIBS)
OPTION(enable_threads "TODO" NO)
IF(enable_threads)
        FIND_PACKAGE(Threads REQUIRED)
        MESSAGE("Thread Model: ${CMAKE_THREAD_LIBS_INIT}" )
        INCLUDE_DIRECTORIES(${Threads_INCLUDE_DIR})
        SET(LIBS ${LIBS} ${Threads_LIBRARIES})
ENDIF(enable_threads)

OPTION(enable_handle_fork "Attempt to ensure a usable collector after fork()" ON)

OPTION(enable_thread_local_alloc "Turn on thread-local allocation optimization" ON)

OPTION(enable_parallel_mark "Parallelize marking and free list construction" ON)

#IF(Threads_FOUND)
#       ADD_DEFINITIONS("")
#ELSE
#       MESSAGE("Parallel mark requires enable_threads ON" )
#ENDIF(Threads_FOUND)

#OPTION(enable_cplusplus "install C++ support" ON)
SET(SRC ${SRC} gc_cpp.cc)

SET(_HOST ${CMAKE_HOST_SYSTEM_PROCESSOR}--${CMAKE_SYSTEM}) #FIXME missing the vendor field.
STRING(TOLOWER ${_HOST} HOST)
MESSAGE("HOST = ${HOST}")

# Thread Detection.  Relying on cmake for lib and includes.
#TODO check cmake detection
IF(CMAKE_USE_PTHREADS_INIT)
        SET(SRC ${SRC} pthread_start.c pthread_support.c pthread_stop_world.c)
        # Common defines for most POSIX platforms.
        IF( HOST MATCHES .*-.*-aix.*|.*-.*-android.*|.*-.*-cygwin.*|.*-.*-darwin.*|.*-.*-.*freebsd.*|.*-.*-haiku.*|.*-.*-gnu.*|.*-.*-hpux11.*|.*-.*-irix.*|.*-.*-.*linux.*|.*-.*-nacl.*|.*-.*-netbsd.*|.*-.*-openbsd.*|.*-.*-osf.*|.*-.*-solaris.*)
                ADD_DEFINITIONS("-DGC_THREADS -D_REENTRANT")
                IF(enable_parallel_mark)
                    ADD_DEFINITIONS("-DPARALLEL_MARK")
                ENDIF(enable_parallel_mark)
                IF(enable_thread_local_alloc)
                    ADD_DEFINITIONS("-DTHREAD_LOCAL_ALLOC")
                    SET(SRC ${SRC} thread_local_alloc.c)
                ENDIF(enable_thread_local_alloc)
                MESSAGE("Explicit GC_INIT() calls may be required.")
        ENDIF()
        IF ( HOST MATCHES .*-.*-hpux11.*)
                MESSAGE("Only HP/UX 11 POSIX threads are supported.")
                ADD_DEFINITIONS("-D_POSIX_C_SOURCE=199506L") #TODO test -DVAR=value. Alternative is COMPILE_DEFINITIONS property
        ENDIF()
        IF ( HOST MATCHES .*-.*-hpux10.*)
                MESSAGE("HP/UX 10 POSIX threads are not supported.")
        ENDIF()
        IF ( HOST MATCHES .*-.*-netbsd.*)
                MESSAGE("Only on NetBSD 2.0 or later.")
                ADD_DEFINITIONS("-D_PTHREADS")
        ENDIF()
        IF( HOST MATCHES .*-.*-android.*)
                # Android NDK does not provide pthread_atfork.
        ELSEIF( HOST MATCHES .*-.*-aix.*|.*-.*-cygwin.*|.*-.*-freebsd.*|.*-.*-haiku.*|.*-.*-hpux11.*|.*-.*-irix.*|.*-.*-kfreebsd.*-gnu|.*-.*-.*linux.*|.*-.*-netbsd.*|.*-.*-openbsd.*|.*-.*-osf.*|.*-.*-solaris.*)
                IF(enable_handle_fork)
                    ADD_DEFINITIONS("-DHANDLE_FORK")
                ENDIF(enable_handle_fork)
        ENDIF()
        IF ( HOST MATCHES .*-.*-cygwin.*)
                SET(SRC ${SRC} win32_threads.c)
        ENDIF()
        IF ( HOST MATCHES .*-.*-darwin.*)
                IF(enable_handle_fork)
                    # The incremental mode conflicts with fork handling.
                    IF(enable_parallel_mark)
                        ADD_DEFINITIONS("-DHANDLE_FORK")
                    ENDIF(enable_parallel_mark)
                ENDIF(enable_handle_fork)
                SET(SRC ${SRC} darwin_stop_world.c)
                #TODO
                #darwin_threads=true
        ENDIF()
ENDIF(CMAKE_USE_PTHREADS_INIT)

IF(CMAKE_USE_WIN32_THREADS_INIT)
        ADD_DEFINITIONS("-DGC_THREADS")
        IF(enable_parallel_mark)
                ADD_DEFINITIONS("-DPARALLEL_MARK")
                IF(enable_thread_local_alloc)
                    ADD_DEFINITIONS("-DTHREAD_LOCAL_ALLOC")
                    SET(SRC ${SRC} thread_local_alloc.c)
                ENDIF(enable_thread_local_alloc)
        ENDIF()
        ADD_DEFINITIONS("-DEMPTY_GETENV_RESULTS") #TODO test
        SET(SRC ${SRC} win32_threads.c)
ENDIF(CMAKE_USE_WIN32_THREADS_INIT)

OPTION(enable_gcj_support "Support for gcj" ON)
IF(enable_gcj_support)
        ADD_DEFINITIONS("-DGC_GCJ_SUPPORT")
        IF(enable_threads)
                ADD_DEFINITIONS("-DGC_ENABLE_SUSPEND_THREAD")
        ENDIF(enable_threads)
        SET(SRC ${SRC} gcj_mlc.c)
ENDIF(enable_gcj_support)

OPTION(enable_disclaim "Support alternative finalization interface" ON)
IF(enable_disclaim)
    ADD_DEFINITIONS("-DENABLE_DISCLAIM")
    SET(SRC ${SRC} fnlz_mlc.c)
ENDIF(enable_disclaim)

OPTION(enable_java_finalization "Support for java finalization" ON)
IF(enable_java_finalization)
    ADD_DEFINITIONS("-DJAVA_FINALIZATION")
ENDIF(enable_java_finalization)

OPTION(enable_atomic_uncollectable "Support for atomic uncollectible allocation" ON)
IF(enable_atomic_uncollectable)
    ADD_DEFINITIONS("-DGC_ATOMIC_UNCOLLECTABLE")
ENDIF(enable_atomic_uncollectable)

OPTION(enable_gc_debug "Support for pointer back-tracing" NO)
IF(enable_gc_debug)
    ADD_DEFINITIONS("-DDBG_HDRS_ALL -DKEEP_BACK_PTRS")
    IF (HOST MATCHES ia64-.*-linux.*|i586-.*-linux.*|i686-.*-linux.*|x86-.*-linux.*|x86_64-.*-linux.*)
        ADD_DEFINITIONS("-DMAKE_BACK_GRAPH")
        ADD_DEFINITIONS("-DSAVE_CALL_COUNT=8")
        SET(SRC ${SRC} backgraph.c)
    ENDIF()
    IF (HOST MATCHES i.86-.*-dgux.*)
        ADD_DEFINITIONS("-DMAKE_BACK_GRAPH")
        SET(SRC ${SRC} backgraph.c)
    ENDIF()
ENDIF(enable_gc_debug)

OPTION(enable_redirect_malloc "Redirect malloc and friends to GC routines" NO)
IF(enable_redirect_malloc)
    IF(enable_gc_debug)
        ADD_DEFINITIONS("-DREDIRECT_MALLOC=GC_debug_malloc_replacement")
        ADD_DEFINITIONS("-DREDIRECT_REALLOC=GC_debug_realloc_replacement")
        ADD_DEFINITIONS("-DREDIRECT_FREE=GC_debug_free")
    ELSE(enable_gc_debug)
        ADD_DEFINITIONS("-DREDIRECT_MALLOC=GC_malloc")
    ENDIF(enable_gc_debug)
    ADD_DEFINITIONS("-DGC_USE_DLOPEN_WRAP")
ENDIF(enable_redirect_malloc)

OPTION(enable_mmap "Use mmap instead of sbrk to expand the heap" NO)

OPTION(enable_munmap "Return page to the OS if empty for N collections" ON)
IF(enable_munmap)
    ADD_DEFINITIONS("-DUSE_MMAP -DUSE_MUNMAP")
ELSEIF(enable_mmap)
    ADD_DEFINITIONS("-DUSE_MMAP")
ENDIF()

OPTION(enable_dynamic_loading "Enable tracing of dynamic library data roots" ON)
IF(NOT enable_dynamic_loading)
    ADD_DEFINITIONS("-DIGNORE_DYNAMIC_LOADING")
ENDIF()

OPTION(enable_register_main_static_data "Perform the initial guess of data root sets" ON)
IF(NOT enable_register_main_static_data)
    ADD_DEFINITIONS("-DGC_DONT_REGISTER_MAIN_STATIC_DATA")
ENDIF()

OPTION(enable_large_config "Optimize for large heap or root set" NO)
IF(enable_large_config)
    ADD_DEFINITIONS("-DLARGE_CONFIG")
ENDIF(enable_large_config)

OPTION(enable_gc_assertions "Enable collector-internal assertion checking" NO)
IF(enable_gc_assertions)
    ADD_DEFINITIONS("-DGC_ASSERTIONS")
ENDIF(enable_gc_assertions)

OPTION(enable_threads_discovery "Enable threads discovery in GC" ON)
IF(NOT enable_threads_discovery)
    ADD_DEFINITIONS("-DGC_NO_THREADS_DISCOVERY")
ENDIF()

OPTION(enable_checksums "Report erroneously cleared dirty bits" NO)
IF(enable_checksums)
    IF(enable_munmap OR enable_threads)
        MESSAGE("CHECKSUMS not compatible with USE_MUNMAP or threads")
    ENDIF()
    ADD_DEFINITIONS("-DCHECKSUMS")
    SET(SRC ${SRC} checksums.c)
ENDIF(enable_checksums)

ADD_LIBRARY(          gc-lib   STATIC      ${SRC})
SET_TARGET_PROPERTIES(gc-lib   PROPERTIES
                      COMPILE_DEFINITIONS GC_NOT_DLL)
#TODO TARGET_LINK_LIBRARIES(...  ...  ${LIBS})

ADD_LIBRARY(          gcmt-lib STATIC      ${SRC})
SET_TARGET_PROPERTIES(gcmt-lib PROPERTIES
                      COMPILE_DEFINITIONS GC_NOT_DLL)

ADD_LIBRARY(          gcmt-dll  SHARED     ${SRC})

IF(WIN32)
  ADD_EXECUTABLE(cord cord/cordbscs.c cord/cordxtra.c
                 cord/tests/de.c cord/tests/de_win.c)
  SET_TARGET_PROPERTIES(cord PROPERTIES WIN32_EXECUTABLE TRUE)
  SET_TARGET_PROPERTIES(cord    PROPERTIES
                      COMPILE_DEFINITIONS GC_NOT_DLL)
  TARGET_LINK_LIBRARIES(cord gc-lib)
  TARGET_LINK_LIBRARIES(cord gdi32)
ENDIF(WIN32)

ADD_SUBDIRECTORY(tests)

=== prc/Makefile ===
# Makefile.

CFLAGS = -O3 -g -Wall
CXX = g++

MAKEDEPEND = $(CFLAGS) -O0 -M -DDEPEND

FILES = PRCbitStream oPRCFile PRCdouble writePRC

all: $(FILES:=.o)

#test: $(FILES:=.o) test.o
#	$(CXX) $(CFLAGS) -o test $(FILES:=.o) test.o -lz

#test_tess: $(FILES:=.o) test_tess.o
#	$(CXX) $(CFLAGS) -o test_tess $(FILES:=.o) test_tess.o -lz

#test_mesh: $(FILES:=.o) test_mesh.o
#	$(CXX) $(CFLAGS) -o test_mesh $(FILES:=.o) test_mesh.o -lz

.SUFFIXES: .c .cc .o .d
.cc.o:
	$(CXX) $(CFLAGS) $(INCL) -o $@ -c $<
.cc.d:
	@echo Creating $@; \
	rm -f $@; \
	${CXX} $(MAKEDEPEND) $(INCL) $(MDOPTS) $< > $@.$$$$ 2>/dev/null && \
	sed 's,\($*\)\.o[ :]*,\1.o $@ : ,g' < $@.$$$$ > $@; \
	rm -f $@.$$$$
.c.d:
	@echo Creating $@; \
	rm -f $@; \
	${CC} $(MAKEDEPEND) $(INCL) $(MDOPTS) $< > $@.$$$$ 2>/dev/null && \
	sed 's,\($*\)\.o[ :]*,\1.o $@ : ,g' < $@.$$$$ > $@; \
	rm -f $@.$$$$

ifeq (,$(findstring clean,${MAKECMDGOALS}))
-include $(FILES:=.d)
endif

clean:
	rm -f *.o *.d test test_tess

=== debian/changelog ===
asymptote (2.62-1) unstable; urgency=medium

  * New upstream version 2.62
  * update patches

 -- Norbert Preining <norbert@preining.info>  Mon, 10 Feb 2020 23:52:53 +0900

asymptote (2.61-1) unstable; urgency=medium

  * New upstream version 2.61
  * Improve grffile removal (also from generated files) (Closes: #945118)

 -- Norbert Preining <norbert@preining.info>  Tue, 19 Nov 2019 17:35:06 +0900

asymptote (2.60-2) unstable; urgency=medium

  * Do not load grffile (Closes: #944916)

 -- Norbert Preining <norbert@preining.info>  Mon, 18 Nov 2019 09:55:26 +0900

asymptote (2.60-1) unstable; urgency=medium

  * New upstream version 2.60
  * adjust typo patch

 -- Norbert Preining <norbert@preining.info>  Thu, 07 Nov 2019 09:57:06 +0900

asymptote (2.59-1) unstable; urgency=medium

  * rework vim integration according to Francesco Poli (Closes: #942224)
  * New upstream version 2.59
  * update patches

 -- Norbert Preining <norbert@preining.info>  Mon, 21 Oct 2019 16:46:46 +0900

asymptote (2.58-1) unstable; urgency=medium

  * New upstream version 2.58
  * update patches

 -- Norbert Preining <norbert@preining.info>  Sat, 12 Oct 2019 23:27:56 +0900

asymptote (2.57-1) unstable; urgency=medium

  * New upstream version 2.57
  * update patches for new release

 -- Norbert Preining <norbert@preining.info>  Thu, 10 Oct 2019 19:07:44 +0900

asymptote (2.53-1) unstable; urgency=medium

  * New upstream version.
  * Remove BD on pyqt5-dev-tools, document it in README.source.
  * Some parts from typos.diff moved to upstream.
  * New lintian override:
    E: asymptote source: source-is-missing webgl/arcball-min-0.01.js.

 -- Hilmar Preusse <hille42@web.de>  Fri, 23 Aug 2019 07:11:20 +0200

=== debian/control ===
--- 
+++ 
@@ -33,8 +33,7 @@
                texlive-pstricks,
                zlib1g-dev,
                libglm-dev,
-               libglew-dev,
-               pyqt5-dev-tools
+               libglew-dev
 Standards-Version: 4.4.0
 Homepage: http://asymptote.sourceforge.net/
 Vcs-Git: https://github.com/debian-tex/asymptote.git

=== debian/rules ===
--- 
+++ 
@@ -34,6 +34,7 @@
 	ln -sf ../share/asymptote/GUI/xasy.py debian/tmp/usr/bin/xasy
 	# fix permissions
 	chmod 0644 debian/tmp/usr/share/asymptote/GUI/icons_rc.py
+	chmod 0644 debian/tmp/usr/share/asymptote/shaders/*.glsl
 	dh_installtex -pasymptote
 
 override_dh_auto_test:

=== debian/watch ===
version=3
http://sf.net/asymptote/asymptote-(.*)\.src\.tgz

## asymptote 2.67

=== debian/changelog ===
asymptote (2.67-1) unstable; urgency=medium

  * New upstream version 2.67
  * update patches
  * clean up clean target in d/rules, by creating d/clean

 -- Hilmar Preusse <hille42@web.de>  Tue, 11 Aug 2020 00:22:30 +0200

asymptote (2.66-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit (from ./configure),
    Repository.
  * Update standards version to 4.5.0, no changes needed.

  [ Norbert Preining ]
  * New upstream version 2.66
  * update patches

 -- Norbert Preining <norbert@preining.info>  Thu, 09 Jul 2020 09:35:27 +0900

asymptote (2.65-2) unstable; urgency=medium

  * fix doc-base specification for new location of doc files

 -- Norbert Preining <norbert@preining.info>  Mon, 30 Mar 2020 18:28:17 +0900

asymptote (2.65-1) unstable; urgency=medium

  * New upstream version 2.65
  * update typos patch
  * switch to dh 12, cleanup install process

 -- Norbert Preining <norbert@preining.info>  Mon, 30 Mar 2020 11:16:34 +0900

asymptote (2.64-1) unstable; urgency=medium

  * New upstream version 2.64
  * update patches

 -- Norbert Preining <norbert@preining.info>  Thu, 05 Mar 2020 17:00:23 +0900

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Section: tex
 Priority: optional
 Build-Depends: bison,
-               debhelper (>= 10),
+               debhelper-compat (= 12),
                dh-python,
                dpkg-dev (>= 1.16.1),
                flex,
@@ -34,7 +34,7 @@
                zlib1g-dev,
                libglm-dev,
                libglew-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: http://asymptote.sourceforge.net/
 Vcs-Git: https://github.com/debian-tex/asymptote.git
 Vcs-Browser: https://github.com/debian-tex/asymptote

=== debian/rules ===
--- 
+++ 
@@ -48,9 +48,7 @@
 
 override_dh_clean:
 	dh_clean
-	rm --force doc/latexusage.pdf doc/latexusage.dvi doc/TeXShopAndAsymptote.dvi doc/CAD.dvi
-	rm --force doc/*.aux doc/*.cp doc/*.cps doc/*.idx doc/*.ins doc/*.log doc/*.toc doc/asymptote.fn doc/asymptote.ky doc/asymptote.pg doc/asymptote.tp doc/asymptote.vr asy.list
-	rm --force doc/asyRefCard.pdf doc/asyRefCard.dvi
+	rm --force doc/*.aux doc/*.cp doc/*.cps doc/*.idx doc/*.ins doc/*.log doc/*.toc
 	rm -fr $(ASYMPTOTE_HOME)
 
 #

## asymptote 2.68

=== debian/changelog ===
asymptote (2.68-2) unstable; urgency=medium

  * Link docs to /u/s/texmf/doc so that texdoc finds them (Closes: #977147)
  * Use dh compat 13, remove dh_missing override

 -- Norbert Preining <norbert@preining.info>  Sat, 12 Dec 2020 17:59:10 +0900

asymptote (2.68-1) unstable; urgency=medium

  * New upstream version 2.68
  * Update patches, remove gs 9.53 specific patches, fixed differently by
    upstream

 -- Norbert Preining <norbert@preining.info>  Thu, 26 Nov 2020 13:21:38 +0900

asymptote (2.67-2) unstable; urgency=medium

  * Apply patch from https://github.com/vectorgraphics/asymptote/pull/181
    to solve issues with gs 9.53.x. I assume this to be a work around
    until ghostscript has been fixed. (Closes: #971846)

 -- Hilmar Preusse <hille42@web.de>  Tue, 20 Oct 2020 23:56:57 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Section: tex
 Priority: optional
 Build-Depends: bison,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dh-python,
                dpkg-dev (>= 1.16.1),
                flex,

=== debian/rules ===
--- 
+++ 
@@ -43,9 +43,6 @@
 override_dh_compress:
 	dh_compress -X.pdf
 
-override_dh_missing:
-	dh_missing --fail-missing
-
 override_dh_clean:
 	dh_clean
 	rm --force doc/*.aux doc/*.cp doc/*.cps doc/*.idx doc/*.ins doc/*.log doc/*.toc

## asymptote 2.69+ds

=== tests/Makefile ===
.NOTPARALLEL:

TESTDIRS = string arith frames types imp array pic gs

EXTRADIRS = gsl output

test: $(TESTDIRS)

all: $(TESTDIRS) $(EXTRADIRS)

$(TESTDIRS)::
	@echo
	../asy -dir ../base $@/*.asy

$(EXTRADIRS)::
	@echo
	../asy -dir ../base $@/*.asy

clean:  FORCE
	rm -f *.eps

distclean: FORCE clean

FORCE:

=== debian/changelog ===
asymptote (2.69+ds-1) unstable; urgency=medium

  * New upstream release, do some lintian cleanup.

 -- Hilmar Preusse <hille42@web.de>  Wed, 24 Feb 2021 09:33:52 +0100

=== debian/control ===
--- 
+++ 
@@ -74,7 +74,7 @@
           evince-gtk | pdf-viewer
 Conflicts: asymptote (<= 2.49-2)
 Replaces: asymptote (<= 2.49-2)
-Description: script-based vector graphics language inspired by MetaPost
+Description: script-based vector graphics language inspired by MetaPost - the GUI part
  Asymptote is a powerful script-based vector graphics language for technical
  drawings, inspired by MetaPost but with an improved C++-like syntax.
  Asymptote provides for figures the same high-quality level of typesetting that

=== debian/rules ===
--- 
+++ 
@@ -47,20 +47,3 @@
 	dh_clean
 	rm --force doc/*.aux doc/*.cp doc/*.cps doc/*.idx doc/*.ins doc/*.log doc/*.toc
 	rm -fr $(ASYMPTOTE_HOME)
-
-#
-# download current release based on the changelog entry from sf
-# and remove the generated files similarily to the clean target
-# code from the calibre packaging
-get-orig-source:
-	set -e; \
-	mkdir -p debian/orig; cd debian/orig; \
-	wget -O - https://downloads.sourceforge.net/project/$(DEB_SOURCE)/$(DEB_VERSION_UPSTREAM)/$(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM).src.tgz | gzip -cd | tar x; \
-	D=`pwd`; \
-	cd $(DEB_SOURCE)*; \
-	rm --force doc/latexusage.pdf doc/latexusage.dvi doc/TeXShopAndAsymptote.dvi doc/CAD.dvi; \
-	rm --force doc/*.aux doc/*.cp doc/*.cps doc/*.idx doc/*.ins doc/*.log doc/*.toc asy.list; \
-	rm --force doc/asyRefCard.pdf doc/asyRefCard.dvi;\
-	cd ..;\
-	tar c . | gzip -9 > ../../../$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.gz; \
-	cd ../..; rm -r debian/orig

## asymptote 2.70+ds

=== debian/changelog ===
asymptote (2.70+ds-deepin1+rb1) unstable; urgency=medium

  * Rebuild

 -- Deepin Packages Builder <packages@deepin.org>  Fri, 11 Nov 2022 17:55:50 +0800

asymptote (2.70+ds-2) unstable; urgency=medium

  * Export ASYMPTOTE_HOME in Debian autopkgtest, instead of patching
    upstreams test suite.
  * Add build-essential to Depends fields of the test suite.

 -- Hilmar Preusse <hille42@web.de>  Fri, 18 Jun 2021 10:35:16 +0200

asymptote (2.70+ds-1) unstable; urgency=medium

  * New upstream release, refresh patches, disable obsolete patch.
  * Lintian clean (local charset) + overrides.
  * asy-x11 is arch: all.
  * Use test suite (provided by upstream) for autopkgtest.

 -- Hilmar Preusse <hille42@web.de>  Thu, 17 Jun 2021 23:37:19 +0200

=== debian/tests/control ===
Tests: test-suite
Depends: bison,
	dh-python,
	dpkg-dev (>= 1.16.1),
	build-essential,
	flex,
	freeglut3-dev,
	libosmesa6-dev,
	ghostscript,
	imagemagick,
	libfftw3-dev,
	libgc-dev,
	libgsl-dev,
	libncurses-dev,
	libreadline-dev,
	libsigsegv-dev,
	libtimedate-perl,
	python3,
	zlib1g-dev,
	libglm-dev,
	libglew-dev,
	texlive-latex-base
Restrictions: build-needed

## asymptote 2.78%2Bds

=== debian/control ===
--- 
+++ 
@@ -10,12 +10,16 @@
 Build-Depends: bison,
                debhelper-compat (= 13),
                dh-python,
-               dpkg-dev (>= 1.16.1),
                flex,
+               cmake,
                freeglut3-dev,
                libosmesa6-dev,
                ghostscript,
                imagemagick,
+               libboost-program-options1.74-dev,
+               libboost-filesystem1.74-dev,
+               libboost-thread1.74-dev,
+               libcurl4-gnutls-dev,
                libfftw3-dev,
                libgc-dev,
                libgsl-dev,
@@ -24,6 +28,7 @@
                libsigsegv-dev,
                libtimedate-perl,
                python3,
+               rapidjson-dev,
                tex-common,
                texinfo,
                texlive-latex-base,
@@ -34,7 +39,8 @@
                zlib1g-dev,
                libglm-dev,
                libglew-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Homepage: http://asymptote.sourceforge.net/
 Vcs-Git: https://github.com/debian-tex/asymptote.git
 Vcs-Browser: https://github.com/debian-tex/asymptote
@@ -46,7 +52,6 @@
          ${shlibs:Depends},
          ghostscript,
          imagemagick,
-         install-info,
          texlive-binaries,
          texlive-latex-base,
          texlive-pstricks,
@@ -61,18 +66,18 @@
  LaTeX does for scientific text.
 
 Package: asymptote-x11
-Architecture: any
+Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
-         asymptote (= ${binary:Version}),
+         asymptote (>= ${binary:Version}),
          librsvg2-bin,
          python3-cson,
          python3-numpy,
          python3-pyqt5,
          python3-pyqt5.qtsvg
 Suggests: gv,
-          evince-gtk | pdf-viewer
-Conflicts: asymptote (<= 2.49-2)
+          evince | pdf-viewer
+Breaks: asymptote (<= 2.49-2)
 Replaces: asymptote (<= 2.49-2)
 Description: script-based vector graphics language inspired by MetaPost - the GUI part
  Asymptote is a powerful script-based vector graphics language for technical
